Allows manipulation and formatting of text strings and determination and location of substrings within strings.

### Hierarchy

- String

### Indexable

[index: number]: string

Allows manipulation and formatting of text strings and determination and location of substrings within strings.

## Index

### Properties

- length

### Methods

- charAt
- charCodeAt
- concat
- indexOf
- lastIndexOf
- localeCompare
- match
- replace
- search
- slice
- split
- substr
- substring
- toLocaleLowerCase
- toLocaleUpperCase
- toLowerCase
- toString
- toUpperCase
- trim
- valueOf

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:491

Returns the length of a String object.

## Methods

### charAt

- charAt(pos: number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:392

  Returns the character at the specified index.

  #### Parameters

  - ##### pos: number

    The zero-based index of the desired character.

  #### Returns string

### charCodeAt

- charCodeAt(index: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:398

  Returns the Unicode value of the character at the specified location.

  #### Parameters

  - ##### index: number

    The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.

  #### Returns number

### concat

- concat(...strings: string[]): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:404

  Returns a string that contains the concatenation of two or more strings.

  #### Parameters

  - ##### Rest ...strings: string[]

    The strings to append to the end of the string.

  #### Returns string

### indexOf

- indexOf(searchString: string, position?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:411

  Returns the position of the first occurrence of a substring.

  #### Parameters

  - ##### searchString: string

    The substring to search for in the string

  - ##### Optional position: undefined | number

    The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.

  #### Returns number

### lastIndexOf

- lastIndexOf(searchString: string, position?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:418

  Returns the last occurrence of a substring in the string.

  #### Parameters

  - ##### searchString: string

    The substring to search for.

  - ##### Optional position: undefined | number

    The index at which to begin searching. If omitted, the search begins at the end of the string.

  #### Returns number

### localeCompare

- localeCompare(that: string): number
- localeCompare(that: string, locales?: string | string[], options?: CollatorOptions): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:424

  Determines whether two strings are equivalent in the current locale.

  #### Parameters

  - ##### that: string

    String to compare to target string

  #### Returns number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:4211

  Determines whether two strings are equivalent in the current or specified locale.

  #### Parameters

  - ##### that: string

    String to compare to target string

  - ##### Optional locales: string | string[]

    A locale string or array of locale strings that contain one or more language or locale tags. If you include more than one locale string, list them in descending order of priority so that the first entry is the preferred locale. If you omit this parameter, the default locale of the JavaScript runtime is used. This parameter must conform to BCP 47 standards; see the Intl.Collator object for details.

  - ##### Optional options: CollatorOptions

    An object that contains one or more properties that specify comparison options. see the Intl.Collator object for details.

  #### Returns number

### match

- match(regexp: string | RegExp): RegExpMatchArray | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:430

  Matches a string with a regular expression, and returns an array containing the results of that search.

  #### Parameters

  - ##### regexp: string | RegExp

    A variable name or string literal containing the regular expression pattern and flags.

  #### Returns RegExpMatchArray | null

### replace

- replace(searchValue: string | RegExp, replaceValue: string): string
- replace(searchValue: string | RegExp, replacer: function): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:437

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string | RegExp

    A string to search for.

  - ##### replaceValue: string

    A string containing the text to replace for every successful match of searchValue in this string.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:444

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string | RegExp

    A string to search for.

  - ##### replacer: function

    A function that returns the replacement text.

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

### search

- search(regexp: string | RegExp): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:450

  Finds the first substring match in a regular expression search.

  #### Parameters

  - ##### regexp: string | RegExp

    The regular expression pattern and applicable flags.

  #### Returns number

### slice

- slice(start?: undefined | number, end?: undefined | number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:458

  Returns a section of a string.

  #### Parameters

  - ##### Optional start: undefined | number

    The index to the beginning of the specified portion of stringObj.

  - ##### Optional end: undefined | number

    The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. If this value is not specified, the substring continues to the end of stringObj.

  #### Returns string

### split

- split(separator: string | RegExp, limit?: undefined | number): string[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:465

  Split a string into substrings using the specified separator and return them as an array.

  #### Parameters

  - ##### separator: string | RegExp

    A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

  - ##### Optional limit: undefined | number

    A value used to limit the number of elements returned in the array.

  #### Returns string[]

### substr

- substr(from: number, length?: undefined | number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:499

  Gets a substring beginning at the specified location and having the specified length.

  #### Parameters

  - ##### from: number

    The starting position of the desired substring. The index of the first character in the string is zero.

  - ##### Optional length: undefined | number

    The number of characters to include in the returned substring.

  #### Returns string

### substring

- substring(start: number, end?: undefined | number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:473

  Returns the substring at the specified location within a String object.

  #### Parameters

  - ##### start: number

    The zero-based index number indicating the beginning of the substring.

  - ##### Optional end: undefined | number

    Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end. If end is omitted, the characters from start through the end of the original string are returned.

  #### Returns string

### toLocaleLowerCase

- toLocaleLowerCase(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:479

  Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

  #### Returns string

### toLocaleUpperCase

- toLocaleUpperCase(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:485

  Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

  #### Returns string

### toLowerCase

- toLowerCase(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:476

  Converts all the alphabetic characters in a string to lowercase.

  #### Returns string

### toString

- toString(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:386

  Returns a string representation of a string.

  #### Returns string

### toUpperCase

- toUpperCase(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:482

  Converts all the alphabetic characters in a string to uppercase.

  #### Returns string

### trim

- trim(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:488

  Removes the leading and trailing white space and line terminator characters from a string.

  #### Returns string

### valueOf

- valueOf(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:502

  Returns the primitive value of the specified object.

  #### Returns string

Generated using TypeDoc